SoGLTextureCoordinateElement Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoGLTextureCoordinateElement Class Reference
Element Classes

The SoGLTextureCoordinateElement class stores the current gltexture coordinates. More...

`#include <Inventor/elements/SoGLTextureCoordinateElement.h>`

Inheritance diagram for SoGLTextureCoordinateElement:

## Public Member Functions
virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | push (SoState *state)
| FIXME: write doc.
virtual void | pop (SoState *state, const SoElement *prevTopElement)
| FIXME: write doc.
virtual CoordType | getType () const
| FIXME: write doc.
void | send (const int index) const
| FIXME: write doc.
void | send (const int index, const SbVec3f &c, const SbVec3f &n) const
| FIXME: write doc.
void | initMulti (SoState *state) const
Public Member Functions inherited from SoTextureCoordinateElement
const SbVec4f & | get (const SbVec3f &point, const SbVec3f &normal) const
int32_t | getNum (void) const
| FIXME: write doc.
SbBool | is2D (void) const
| FIXME: write doc. (for backwards compability. Use getDimension() instead).
int32_t | getDimension (void) const
const SbVec2f & | get2 (const int index) const
| FIXME: write doc.
const SbVec3f & | get3 (const int index) const
const SbVec4f & | get4 (const int index) const
| FIXME: write doc.
const SbVec2f * | getArrayPtr2 (void) const
const SbVec3f * | getArrayPtr3 (void) const
const SbVec4f * | getArrayPtr4 (void) const
Public Member Functions inherited from SoReplacedElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo () const
uint32_t | getNodeId () const
virtual void | print (FILE *file) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | setTexGen (SoState *const state, SoNode *const node, SoTexCoordTexgenCB *const texgenFunc, void *const texgenData=NULL, SoTextureCoordinateFunctionCB *const func=NULL, void *const funcData=NULL)
| FIXME: write doc.
static const SoGLTextureCoordinateElement * | getInstance (SoState *const state)
| FIXME: write doc.
Static Public Member Functions inherited from SoTextureCoordinateElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | setDefault (SoState *const state, SoNode *const node)
| FIXME: write doc.
static void | setFunction (SoState *const state, SoNode *const node, SoTextureCoordinateFunctionCB *const func, void *const userdata)
| FIXME: write doc.
static void | set2 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec2f *const coords)
| FIXME: write doc.
static void | set3 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec3f *const coords)
static void | set4 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec4f *const coords)
| FIXME: write doc.
static CoordType | getType (SoState *const state)
static const SoTextureCoordinateElement * | getInstance (SoState *const state)
| FIXME: write doc.
Static Public Member Functions inherited from SoReplacedElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoGLTextureCoordinateElement ()
virtual void | setElt (SoTexCoordTexgenCB *func, void *data=NULL)
| FIXME: write doc.
Protected Member Functions inherited from SoTextureCoordinateElement
virtual | ~SoTextureCoordinateElement ()
Protected Member Functions inherited from SoReplacedElement
virtual | ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members
Public Types inherited from SoTextureCoordinateElement
enum | CoordType { NONE = 0, TEXGEN = 0, EXPLICIT = 1, FUNCTION = 2, DEFAULT = 3 }
Static Protected Member Functions inherited from SoReplacedElement
static SoElement * | getElement (SoState *const state, const int stackIndex, SoNode *const node)
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoTextureCoordinateElement
CoordType | whatKind
SoTextureCoordinateFunctionCB * | funcCB
void * | funcCBData
int32_t | numCoords
const SbVec2f * | coords2
const SbVec3f * | coords3
const SbVec4f * | coords4
SbBool | coordsDimension
SbVec2f | convert2
SbVec3f | convert3
SbVec4f | convert4
Protected Attributes inherited from SoReplacedElement
uint32_t | nodeId
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoGLTextureCoordinateElement class stores the current gltexture coordinates.

## Constructor & Destructor Documentation

SoGLTextureCoordinateElement::~SoGLTextureCoordinateElement | ( |  | ) |
| protectedvirtual

The destructor.

## Member Function Documentation

void * SoGLTextureCoordinateElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoGLTextureCoordinateElement::initClass | ( | void |  | ) |
| static

This static method initializes static data for the SoGLTextureCoordinateElement class.

void SoGLTextureCoordinateElement::initMulti | ( | SoState * | state | ) | const

Called from SoTextureCoordinateBundle to initialize multi texturing.

The documentation for this class was generated from the following files:

- SoGLTextureCoordinateElement.h
- SoGLTextureCoordinateElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.